{"type":"api","title":"Retrieve individual column data from multi-metric table widget","meta":{"id":"/apps/pubhub/media/000-v7-apis/805c8c263288cb8b508ba6a258b72098eef57120/0e4c66ca-115a-3769-be5b-c6944add743f","info":{"version":"7.0.91","title":"Dashboards API","description":"Manage ThousandEyes Dashboards."},"security":[{"BearerAuth":[]}],"tags":[{"name":"Dashboards","description":"Dashboards and Widgets operations"},{"name":"Dashboard Snapshots","description":"Dashboard Snapshots CRUD operations"},{"name":"Dashboards Filters"}],"openapi":"3.0.1","servers":[{"description":"ThousandEyes API production URL","url":"https://api.thousandeyes.com/v7"}],"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication token"}}},"spec":{"tags":["Dashboards"],"operationId":"getIndividualColumnData","summary":"Retrieve individual column data from multi-metric table widget","description":"Returns the raw data for an individual column within a multi-metric table widget in the dashboard.\n","parameters":[{"name":"dashboardId","required":true,"in":"path","description":"A Identifier for a dashboard which can be obtained from the `/dashboards` endpoint.","schema":{"type":"string"},"example":"646f4d2ce3c99b0536c3821e","$$ref":"#/components/parameters/DashboardIdPath"},{"name":"widgetId","required":true,"in":"path","description":"A Identifier for a widget.","schema":{"type":"string"},"example":"unpmg","$$ref":"#/components/parameters/WidgetId"},{"name":"columnId","required":true,"in":"path","description":"An identifier for a column within the multi-metric table widget.","schema":{"type":"string"},"example":"col123","$$ref":"#/components/parameters/ColumnId"},{"name":"aid","in":"query","description":"A unique identifier associated with your account group. You can retrieve your `AccountGroupId` from the `/account-groups` endpoint. Note that you must be assigned to the target account group. Specifying this parameter without being assigned to the target account group will result in an error response.","required":false,"schema":{"type":"string","example":"1234"},"$$ref":"#/components/parameters/AccountGroupId"},{"name":"window","in":"query","description":"A dynamic time interval up to the current time of the request. Specify the interval as a number followed by an optional type: `s` for seconds (default if no type is specified), `m` for minutes, `h` for hours, `d` for days, and `w` for weeks.\nFor a precise date range, use `startDate` and `endDate`.","schema":{"type":"string","pattern":"^\\d+(?:[smhdw]{1})?$","example":"12h"},"$$ref":"#/components/parameters/Window"},{"name":"startDate","in":"query","description":"Use with the `endDate` parameter. Include the complete time (hours, minutes, and seconds) in UTC time zone, following the ISO 8601 date-time format. See the example for reference. Please note that this parameter can't be used with `window`.","schema":{"type":"string","format":"date-time","example":"2022-07-17T22:00:54Z"},"$$ref":"#/components/parameters/StartDateParameter"},{"name":"endDate","in":"query","description":"Defaults to current time the request is made. Use with the `startDate` parameter. Include the complete time (hours, minutes, and seconds) in UTC time zone, following the ISO 8601 date-time format. See the example for reference. Please note that this parameter can't be used with `window`.","schema":{"type":"string","format":"date-time","example":"2022-07-18T22:00:54Z"},"$$ref":"#/components/parameters/EndDateParameter"}],"responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"object","description":"The data presented within a single column of a Multi-Metric table.","properties":{"columnId":{"type":"string","description":"Identifier of the column.","example":"938to"},"binSize":{"type":"integer","format":"int64","description":"Duration of each bin.","example":3600,"$$ref":"#/components/schemas/BinSize"},"points":{"type":"array","items":{"type":"object","description":"Data point of a widget.","properties":{"timestamp":{"type":"integer","format":"int64","description":"Timestamp of the aggregated data point.","example":1567620000,"$$ref":"#/components/schemas/Timestamp"},"numberOfDataPoints":{"type":"integer","format":"int64","description":"Number of test data points aggregated into the widget data point.","example":23304},"value":{"type":"number","format":"double","description":"Aggregated value.","example":100,"$$ref":"#/components/schemas/WidgetValue"},"groups":{"type":"array","items":{"type":"object","description":"Group of data points.","properties":{"groupProperty":{"type":"string","description":"Defines the criterion used to aggregate data points under specific group values.","example":"COUNTRY"},"groupValue":{"type":"string","description":"The value of a group.","example":"US"}},"$$ref":"#/components/schemas/ApiDataPointGroup"}}},"$$ref":"#/components/schemas/ApiWidgetDataPoint"}},"status":{"type":"string","description":"Message for not fully configured card or no data.","example":"No data","$$ref":"#/components/schemas/WidgetStatus"},"alertSuppressionWindows":{"type":"array","items":{"type":"object","description":"Alert suppression window shown in a widget.","properties":{"id":{"type":"string","description":"Identifier of the alert suppression window.","example":"281474976710662"},"name":{"type":"string","description":"Name of the alert suppression window.","example":"Test dashboards"},"testIds":{"uniqueItems":true,"type":"array","items":{"type":"string"},"example":["281474976710661"]},"startTimes":{"type":"array","items":{"type":"string","format":"date-time"},"example":["2023-05-16T10:14:28Z"]},"durationInSeconds":{"type":"integer","format":"int64","example":7200},"repeat":{"type":"string","enum":["none","every-day","alt-every-day","every-week","every-two-week","every-month","every-three-month","custom"],"example":"custom","$$ref":"#/components/schemas/AswRepeat"},"repeatEvery":{"type":"integer","format":"int32","example":5},"repeatUnit":{"type":"string","enum":["day","week","month"],"example":"week","$$ref":"#/components/schemas/AswRepeatUnit"}},"$$ref":"#/components/schemas/ApiDashboardAsw"}},"_links":{"type":"object","description":"A links object containing the self link.","readOnly":true,"properties":{"self":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/SelfLinks"}},"$$ref":"#/components/schemas/ApiMultiMetricColumnData"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."},"errors":{"nullable":true,"type":"array","description":"(Optional) When multiple errors occur, the details for each error are listed.","items":{"type":"object","properties":{"code":{"type":"string","description":"(Optional) A unique error type/code that can be referenced in the documentation for further details."},"field":{"type":"string","description":"Identifies the field that triggered this particular error."},"message":{"type":"string","description":"A short, human-readable summary of the error."}},"$$ref":"#/components/schemas/ValidationErrorItem"}}},"$$ref":"#/components/schemas/ValidationError"},"example":{"type":"about:blank","title":"Request validation failed. There are invalid or missing fields","status":400,"detail":"Your request object contains invalid fields.","instance":"/v7","errors":[{"code":"AM-5432","field":"firstName","message":"firstName cannot have fancy characters"},{"code":"DASH-5622","field":"password","message":"Password cannot be blank"}]}}},"$$ref":"#/components/responses/400"},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"type":"object","properties":{"error":{"type":"string","example":"invalid_token"},"error_description":{"type":"string","example":"Invalid access token"}},"$$ref":"#/components/schemas/UnauthorizedError"}}},"$$ref":"#/components/responses/401"},"403":{"description":"Insufficient permissions to query endpoint","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"URI Resource Not Found","status":404,"detail":"Details explaining if the 404 error is related to an invalid URI or a wrong ID","instance":"/v7"}}},"$$ref":"#/components/responses/404"},"429":{"description":"Exhausted rate limit for the organization","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"Internal server error","status":500,"detail":"Optional detail about the internal error message.","instance":"/v7"}}},"$$ref":"#/components/responses/500"}},"__originalOperationId":"getIndividualColumnData","security":[{"BearerAuth":[]}],"method":"get","path":"/dashboards/{dashboardId}/widgets/{widgetId}/columns/{columnId}"}}